# Continuous Deployment

Get build-time Python commands \
from various CA, CI, OCI / OS.

## Features

* [ ] support
    * [X] package repositories mirror
      * [X] custom CA certificates
      * [X] known CA certificates
    * [ ] Operating Systems
      * [X] Alma
      * [ ] Alpine
      * [X] Debian
      * [ ] Rocky
    * [X] Continuous Integration platforms
      * [X] GitHub → Gitea → ForgeJo
      * [X] GitLab

## How

| Variable       | Description             |
|----------------|-------------------------|
| CD_CA_n        | Numbered CA certificate |
| CD_DNS         | Space separated servers |
| CD_REPO_ALMA   | Alma repository URL     |
| CD_REPO_DEBIAN | Debian repository URL   |

## Tasks

* write bats

* handle cloning credentials
* make steps more agnostic
* reduce single conditions with &&
* write Python bootstrap

* integrate project repository cloning
* override repository and framework locations
* show previous states of directories & files
